package com.persagy.apm.diagnose.utils;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.LinkedHashMap;
import java.util.Map;

import com.persagy.apm.diagnose.constant.EnumTimeType;


/**
 * 作者:zhangyuan(kedou)
 * 
 * 时间:2017年9月26日 下午2:18:51
 * 
 * 说明:
 */

public class TimeDataUtil {

	public static Map<String, Double> getTimeDataMap(Date timeFrom, Date timeTo, EnumTimeType timeType) {
		Map<String, Double> result = new LinkedHashMap<String, Double>();

		Calendar c = Calendar.getInstance();
		c.setTime(timeFrom);
		SimpleDateFormat standard = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		while (c.getTime().getTime() < timeTo.getTime()) {
			result.put(standard.format(c.getTime()), null);
			switch (timeType) {
			case MIN15:
				c.add(Calendar.MINUTE, 15);
				break;
			case HOUR:
				c.add(Calendar.HOUR, 1);
				break;
			case DAY:
				c.add(Calendar.DATE, 1);
				break;
			case MONTH:
				c.add(Calendar.MONTH, 1);
				break;
			case YEAR:
				c.add(Calendar.YEAR, 1);
				break;
			default:
				c.add(Calendar.DATE, 1);
				break;
			}
		}
		return result;
	}


	public static Map<String, Object> getTimeObjectMap(Date timeFrom, Date timeTo, EnumTimeType timeType) {
		Map<String, Object> result = new LinkedHashMap<String, Object>();
		Calendar c = Calendar.getInstance();
		c.setTime(timeFrom);
		SimpleDateFormat standard = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		while (c.getTime().getTime() < timeTo.getTime()) {
			result.put(standard.format(c.getTime()), null);
			switch (timeType) {
				case MIN15:
					c.add(Calendar.MINUTE, 15);
					break;
				case HOUR:
					c.add(Calendar.HOUR, 1);
					break;
				case DAY:
					c.add(Calendar.DATE, 1);
					break;
				case MONTH:
					c.add(Calendar.MONTH, 1);
					break;
				case YEAR:
					c.add(Calendar.YEAR, 1);
					break;
				default:
					c.add(Calendar.DATE, 1);
					break;
			}
		}
		return result;
	}
}
